package com.qmth.jkserver.dao;

//import java.util.List;
//
//import org.springframework.data.mongodb.repository.MongoRepository;
//import org.springframework.stereotype.Repository;
//import com.qmth.jkserver.model.ExamRoomAddressTemp;
//
//@Repository
//public interface ExamRoomAddressTempDao extends MongoRepository<ExamRoomAddressTemp, String> {
//
//	public List<ExamRoomAddressTemp> findByExamCodeAndAttachmentId(String examCode,String attachmentId);
//
//}

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.qmth.jkserver.model.ExamRoomAddressTemp;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 考点考场地址临时表 Mapper 接口
 * </p>
 *
 * @author wangliang
 * @since 2023-03-01
 */
public interface ExamRoomAddressTempDao extends BaseMapper<ExamRoomAddressTemp> {

    public List<ExamRoomAddressTemp> findByExamCodeAndAttachmentId(@Param("examCode") String examCode, @Param("attachmentId") Long attachmentId);
}
