package com.qmth.jkserver.service;

import org.springframework.data.domain.Page;
import com.qmth.jkserver.dto.RoomMonitorClientData;
import com.qmth.jkserver.dto.RoomMonitorClientLog;
import com.qmth.jkserver.model.ExamRoom;
import com.qmth.jkserver.params.RoomMonitorClientParam;

/**
 * 监考端日志下载，数据备份下载相关服务
 * @author tianjun
 *
 */
public interface RoomMonitorClientService {
	
	public Page<RoomMonitorClientLog> pageQueryLog(RoomMonitorClientParam param,int pageNo,int pageSize);
	
	public Page<RoomMonitorClientData> pageQueryData(RoomMonitorClientParam param,int pageNo,int pageSize);


}
