package com.qmth.jkserver.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.qmth.jkserver.dao.ExamCodeDao;
import com.qmth.jkserver.model.ExamCode;
import com.qmth.jkserver.service.JkExamCodeService;
import org.springframework.context.annotation.Scope;
import org.springframework.context.annotation.ScopedProxyMode;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 考试识别码 服务实现类
 * </p>
 *
 * @author wangliang
 * @since 2023-03-01
 */
@Service
@Scope(proxyMode = ScopedProxyMode.INTERFACES)
public class JkExamCodeServiceImpl extends ServiceImpl<ExamCodeDao, ExamCode> implements JkExamCodeService {

}
