package com.qmth.jkserver.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.qmth.jkserver.dao.JkRoomMonitorClientLogDao;
import com.qmth.jkserver.dto.RoomMonitorClientLog;
import com.qmth.jkserver.service.JkRoomMonitorClientLogService;
import org.springframework.context.annotation.Scope;
import org.springframework.context.annotation.ScopedProxyMode;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 监考端日志 服务实现类
 * </p>
 *
 * @author wangliang
 * @since 2023-03-03
 */
@Service
@Scope(proxyMode = ScopedProxyMode.INTERFACES)
public class JkRoomMonitorClientLogServiceImpl extends ServiceImpl<JkRoomMonitorClientLogDao, RoomMonitorClientLog> implements JkRoomMonitorClientLogService {

}
