package com.qmth.jkserver.model;

//import java.io.Serializable;
//import java.util.Date;
//
//import org.springframework.data.annotation.Id;
//import org.springframework.data.annotation.Transient;
//import org.springframework.data.mongodb.core.index.CompoundIndex;
//import org.springframework.data.mongodb.core.index.CompoundIndexes;
//import org.springframework.data.mongodb.core.index.Indexed;
//import org.springframework.data.mongodb.core.mapping.Document;
//import org.springframework.data.mongodb.core.mapping.Field;
//
///**
// * 试卷开卷功能
// * @author tianjun
// *
// */
//
//@Document(collection = "jk_paper_uncoiling")
//@CompoundIndexes({
//	@CompoundIndex(name = "paper_uncoiling_idx", unique=true, def = "{'exam_code':1,'batch_id': 1}")
//})
//public class ExamPaperUncoiling implements Serializable {
//
//	/**
//	 *
//	 */
//	private static final long serialVersionUID = 7865645107596340752L;
//
//	@Id
//	private String id;
//
//	@Indexed
//	@Field("exam_code")
//	private String examCode;
//
//	@Field("batch_id")
//	private String batchId;
//
//	@Field("password")
//	private String password;
//
//	//导入时间
//	@Field("time")
//	private Date time;
//
//	@Transient
//    //TODO 批次名称暂时不存入数据库
//	private String batchName;
//
//	//考试名称
//	@Transient
//    //TODO 考试名称暂时不存入数据库
//	private String examName;
//
//	/**
//	 * @return the examName
//	 */
//	public String getExamName() {
//		return examName;
//	}
//
//	/**
//	 * @param examName the examName to set
//	 */
//	public void setExamName(String examName) {
//		this.examName = examName;
//	}
//
//	/**
//	 * @return the time
//	 */
//	public Date getTime() {
//		return time;
//	}
//
//	/**
//	 * @param time the time to set
//	 */
//	public void setTime(Date time) {
//		this.time = time;
//	}
//
//	/**
//	 * @return the password
//	 */
//	public String getPassword() {
//		return password;
//	}
//
//	/**
//	 * @param password the password to set
//	 */
//	public void setPassword(String password) {
//		this.password = password;
//	}
//
//	/**
//	 * @return the id
//	 */
//	public String getId() {
//		return id;
//	}
//
//	/**
//	 * @param id the id to set
//	 */
//	public void setId(String id) {
//		this.id = id;
//	}
//
//	/**
//	 * @return the examCode
//	 */
//	public String getExamCode() {
//		return examCode;
//	}
//
//	/**
//	 * @param examCode the examCode to set
//	 */
//	public void setExamCode(String examCode) {
//		this.examCode = examCode;
//	}
//
//	/**
//	 * @return the batchId
//	 */
//	public String getBatchId() {
//		return batchId;
//	}
//
//	/**
//	 * @param batchId the batchId to set
//	 */
//	public void setBatchId(String batchId) {
//		this.batchId = batchId;
//	}
//
//	/**
//	 * @return the batchName
//	 */
//	public String getBatchName() {
//		return batchName;
//	}
//
//	/**
//	 * @param batchName the batchName to set
//	 */
//	public void setBatchName(String batchName) {
//		this.batchName = batchName;
//	}
//}

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * <p>
 * 试卷开卷功能
 * </p>
 *
 * @author wangliang
 * @since 2023-03-01
 */
@ApiModel(value="JkPaperUncoiling对象", description="试卷开卷功能")
@TableName("jk_paper_uncoiling")
public class ExamPaperUncoiling implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    @ApiModelProperty(value = "考试编码")
    private String examCode;

    @ApiModelProperty(value = "批次id")
    private String batchId;

    @ApiModelProperty(value = "密码")
    private String password;

    @ApiModelProperty(value = "导入时间")
    private Long time;

    @TableField(exist = false)
    private String batchName;

    @TableField(exist = false)
	private String examName;

    public String getBatchName() {
        return batchName;
    }

    public void setBatchName(String batchName) {
        this.batchName = batchName;
    }

    public String getExamName() {
        return examName;
    }

    public void setExamName(String examName) {
        this.examName = examName;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getExamCode() {
        return examCode;
    }

    public void setExamCode(String examCode) {
        this.examCode = examCode;
    }

    public String getBatchId() {
        return batchId;
    }

    public void setBatchId(String batchId) {
        this.batchId = batchId;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public Long getTime() {
        return time;
    }

    public void setTime(Long time) {
        this.time = time;
    }
}
