package com.qmth.jkserver.model;

//import java.io.Serializable;
//import java.util.Date;
//
//import org.springframework.data.mongodb.core.mapping.Field;
//
///**
// * 重考的考生
// * @author tianjun
// *
// * TODO 待关联
// */
//public class ExamRepeat implements Serializable {
//
//	/**
//	 *
//	 */
//	private static final long serialVersionUID = -1150568743422682876L;
//
//	//新的批次ID
//	@Field("new_batch_id")
//	private String newBatchId;
//
//	//新的批次名称
//	@Field("new_batch_name")
//	private String newBatchName;
//
//	//新的场次ID
//	@Field("new_stage_id")
//	private String newStageId;
//
//	//重考处理时间
//	@Field("time")
//	private String time;
//
//	//重考原因
//	@Field("reason")
//	private String reason;
//
//	/**
//	 * 创建时间
//	 */
//	@Field("create_time")
//	private Date createTime;
//
//	/**
//	 * @return the reason
//	 */
//	public String getReason() {
//		return reason;
//	}
//
//	/**
//	 * @param reason the reason to set
//	 */
//	public void setReason(String reason) {
//		this.reason = reason;
//	}
//
//	/**
//	 * @return the time
//	 */
//	public String getTime() {
//		return time;
//	}
//
//	/**
//	 * @param time the time to set
//	 */
//	public void setTime(String time) {
//		this.time = time;
//	}
//
//	/**
//	 * @return the newBatchId
//	 */
//	public String getNewBatchId() {
//		return newBatchId;
//	}
//
//	/**
//	 * @param newBatchId the newBatchId to set
//	 */
//	public void setNewBatchId(String newBatchId) {
//		this.newBatchId = newBatchId;
//	}
//
//	/**
//	 * @return the newBatchName
//	 */
//	public String getNewBatchName() {
//		return newBatchName;
//	}
//
//	/**
//	 * @param newBatchName the newBatchName to set
//	 */
//	public void setNewBatchName(String newBatchName) {
//		this.newBatchName = newBatchName;
//	}
//
//	/**
//	 * @return the newStageId
//	 */
//	public String getNewStageId() {
//		return newStageId;
//	}
//
//	/**
//	 * @param newStageId the newStageId to set
//	 */
//	public void setNewStageId(String newStageId) {
//		this.newStageId = newStageId;
//	}
//
//	/**
//	 * @return the createTime
//	 */
//	public Date getCreateTime() {
//		return createTime;
//	}
//
//	/**
//	 * @param createTime the createTime to set
//	 */
//	public void setCreateTime(Date createTime) {
//		this.createTime = createTime;
//	}
//}

import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * <p>
 * 重考的考生
 * </p>
 *
 * @author wangliang
 * @since 2023-03-01
 */
@ApiModel(value = "JkExamRepeat对象", description = "重考的考生")
@TableName("jk_exam_repeat")
public class ExamRepeat implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    @ApiModelProperty(value = "新的批次id")
    private String newBatchId;

    @ApiModelProperty(value = "新的批次名称")
    private String newBatchName;

    @ApiModelProperty(value = "新的场次ID")
    private String newStageId;

    @ApiModelProperty(value = "重考处理时间")
    private Long time;

    @ApiModelProperty(value = "重考原因")
    private String reason;

    @ApiModelProperty(value = "创建时间")
    private Long createTime;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getNewBatchId() {
        return newBatchId;
    }

    public void setNewBatchId(String newBatchId) {
        this.newBatchId = newBatchId;
    }

    public String getNewBatchName() {
        return newBatchName;
    }

    public void setNewBatchName(String newBatchName) {
        this.newBatchName = newBatchName;
    }

    public String getNewStageId() {
        return newStageId;
    }

    public void setNewStageId(String newStageId) {
        this.newStageId = newStageId;
    }

    public Long getTime() {
        return time;
    }

    public void setTime(Long time) {
        this.time = time;
    }

    public String getReason() {
        return reason;
    }

    public void setReason(String reason) {
        this.reason = reason;
    }

    public Long getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Long createTime) {
        this.createTime = createTime;
    }
}
