package com.qmth.jkserver.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.qmth.jkserver.dao.ExamStageDao;
import com.qmth.jkserver.model.ExamStage;
import com.qmth.jkserver.service.JkExamStageService;
import org.springframework.context.annotation.Scope;
import org.springframework.context.annotation.ScopedProxyMode;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 批次场次表 服务实现类
 * </p>
 *
 * @author wangliang
 * @since 2023-03-01
 */
@Service
@Scope(proxyMode = ScopedProxyMode.INTERFACES)
public class JkExamStageServiceImpl extends ServiceImpl<ExamStageDao, ExamStage> implements JkExamStageService {

}
